(function($){
	/* 左右滚动图片 */
	$.fn.Imgbox= function(options){
		var defaults = {
			page:'1',
			i:'2',
			Content :'.img-one',
			t:'100'
		};
		var ops = $.extend(defaults,options);
		return this.each(function(){
			var $prev = $(ops.Content).find('a.prev'),$next = $(ops.Content).find('a.next'),$ul = $(ops.Content).find('ul'),$li = $(ops.Content).find('li'),
		    	$wh = $(ops.Content).find('.w_540').width(),len = $li.length,page_count = Math.ceil(len / ops.i),time_event = null,
		    	$prev_span = $('<span class="prev prev_hover"></span>'),
				$next_span = $('<span class="next next_hover"></span>');
				$prev.before($prev_span);
				$prev.detach();
			    if(len<=ops.i){
			    	$next.before($next_span);
					$next.detach();
			    };
			    function prev(){
					if(!$ul.is(":animated")){
				      	ops.page--;
				      	$next.removeClass('next_hover');
				      	$next.insertAfter($(ops.Content).find('span.next'));
				      	$(ops.Content).find('span.next').remove();
		 				$ul.stop(true,true).animate({'marginLeft':'+='+$wh},ops.t,function(){
		 					 if(ops.page == 1){
						        $prev.addClass('prev_hover');
						        $prev.before($prev_span);
						        $prev.detach();
						      }
		 				});
				      	return false;
				    }
			    };
			    function next(){
			    	if(!$ul.is(":animated")){
			    		ops.page++;
				      	$prev.removeClass('prev_hover');
				      	$prev.insertAfter($(ops.Content).find('span.prev'));	
				      	$(ops.Content).find('span.prev').remove();  	
		 				$ul.stop(true,true).animate({'marginLeft':'-='+$wh},ops.t,function(){
		 					 if(ops.page == page_count){
						        $next.addClass('next_hover');
		 						$next.before($next_span);
						        $next.detach();
						      }
		 				});				
				        return false;
			    	}
			    };
			    $prev.on('click',function(){
			    	clearTimeout(time_event);
			    	time_event = setTimeout(function(){
			    		prev();	
			    	},300)
			    });
			    $next.on('click',function(){
			    	clearTimeout(time_event);
			    	time_event = setTimeout(function(){
			    		next();	
			    	},300)
			    });
		});
	};
	/* Hover增加样式 */
	$.fn.HoverClass = function(options){
		var defaults = {
			ClassName :'.hover-one',
			Current :'hover'
		};
		var ops = $.extend(defaults,options);
		return this.each(function(){
			var $li = $(ops.ClassName).find('li');
			$li.hover(function(){
				$(this).addClass(ops.Current)
			},function(){
				$(this).removeClass()
			})
		})
	};
	/* Tab选项卡切换 */
	$.fn.TabList = function(options){
		var defaults = {
			ClassName:'.tab_one',
			Current:'hover',
			Event:'click'
		};
		var ops = $.extend(defaults,options);
		return this.each(function(){
			var $tab_hd = $(ops.ClassName).find('.tab_hd'),$tab_bd = $(ops.ClassName).find('.tab_bd'),$tab_li = $tab_hd.find('li'),$tab_div = $tab_bd.children('div');
			$tab_li.each(function(i){
				var _this = $(this);
				_this.on(ops.Event,function(){
					_this.addClass(ops.Current).siblings().removeClass(ops.Current);
					$tab_div.eq(i).show().siblings().hide();
					return false;
				})
			})
		})
	};
	/*   焦点图切换   */
	$.fn.BannerBox = function(options){
		var defaults = {
			ClassName:'.banner-one',
			Current:'on',
			BannerTime:'3000',
			Event:'click'
		};
		var ops = $.extend(defaults,options);
		return this.each(function(){
			var t,$ul = $(ops.ClassName).find('.banner_img').children('ul'),$li = $ul.children('li'),
				$len = $li.length,$num = $(ops.ClassName).find('.banner_number'),$num_ul = '<ul>',
				$prev = $(ops.ClassName).find('.banner_prev'),$next = $(ops.ClassName).find('.banner_next');
			for (i=0;i<$len;i++){
				$num_ul+='<li><a href="">'+(i+1)+'</a></li>'
			};
			$num_ul+='</ul>';
			$num.append($num_ul);
			$num_li = $(ops.ClassName).find('.banner_number ul').children('li');
			$num_li.first().addClass('on');
		 	$li.first().css('z-index','2').children('.text_link').css('bottom','0');
		 	function play(){
		 	  	var index = $curr.index();
		 	 	$curr.addClass(ops.Current).siblings().removeClass(ops.Current);
		 	 	$li.eq(index).stop(true,true).animate({opacity:'1'},800,function(){
		 	 		$(this).css('z-index','2')
		 	 	}).siblings().stop(true,true).animate({opacity:'0'},800,function(){
		 	 		$(this).css('z-index','1')
		 	 	});
		 	 	$li.eq(index).children('.text_link').animate({bottom:0},700).parent()
		 	 	.siblings().children('.text_link').animate({bottom:'-40px'},400);
		 	};
		 	function next() {
		 		$curr = $num_li.filter('.on').next();
                if($curr.length == 0){
                   $curr = $num_li.filter(':first');
                };
                play();
		 	};
			$num_li.on(ops.Event,function(){
		 	 	$curr = $(this);	
	            play();
	            return false;
		 	 });
		 	 $(ops.ClassName).hover(function(){
				clearInterval(t)
		 	 },function(){
		 	 	t = setInterval(function(){
						next();
					},ops.BannerTime);
		 	 }).trigger('mouseleave');
		 	 $prev.click(function(){
		 	 	$curr = $num_li.filter('.on').prev();
		 	 	if($curr.length == 0){
		           $curr = $num_li.filter(':last');
		         };
		        play();
		 	 });		 	 
		 	 $next.click(function(){
		 	 	next();
		 	 });
		});
	};
	/* 公共单独JS */
	$(function(){
		/* 软件排行 */
		var $ranking_li = $('.ranking_number li'),
			$number = $ranking_li.filter(':nth-child(1),:nth-child(2),:nth-child(3)'),
			$ranking_hv_li = $('.ranking_hv li');
		$number.addClass('number_bg');
		$ranking_hv_li.mouseenter(function(){
			$(this).addClass('hover').siblings().removeClass('hover')
		}).filter(':nth-child(1)').trigger('mouseenter');
		$('.w_980 .mod-img-list li:last-child').add($ranking_li.filter(':last-child')).css('border','0');
		/*     顶部搜索   */
		var $search_name = $('.search-name'),$search_li = $('.search-select > li'),$search_select = $('.search-select'),$val = $('.header-input').val();
		$('.search-lf').hover(function(){
			$search_name.addClass('search-hover');
			$search_select.show();
		},function(){
			$search_name.removeClass('search-hover');
			$search_select.hide();
		});
		$search_li.mouseenter(function(){
			$(this).addClass('selected').siblings().removeClass();
		}).mouseleave(function(){
			$(this).removeClass()
		}).click(function(){
			var $name = $(this).attr('name'),$id = $('#siteid');
			$('#action-name').val($name);
			switch ($name)
				{
					case 'all':
						$id.val('1');
						break;
					case 'soft':
						$id.val('1');
						break;
					case 'danji':
						$id.val('2');
						break;
					case 'mobile':
						$id.val('3');
						break;
					case 'article':
						$id.val('4');
						break;
				};
			$search_name.text($(this).text());
			$search_select.hide();
		});
		$('.header-input').focus(function(){
			if($(this).val()==$val) $(this).val('');
		}).blur(function(){
			if($(this).val()=='') $(this).val($val);
		});
		/* 分页 */
		$('.yiiPager').each(function(i){
			var $page_a = $(this).children();
			$('.yiiPager').eq(i).html($page_a);
		});	
	})
})(jQuery);


var moren = "软件";
function keywordCont(){
	var falseWords = ["_","+","破解","注册机"];
	var keyFont = $(".header-input").val();
	console.log(keyFont)
	if(keyFont != ""){			
		for(i=0;i<falseWords.length;i++){
			if(keyFont.indexOf(falseWords[i]) != -1){
				alert("不允许有非法字符");
				return false;
			}	
		}		
		if(moren=="软件"){
			var keyFont = $(".header-input").val();
			//window.location.href="http://s.downcc.com/search/pc/"+keyFont.replace(/\+/g,"＋").replace(/\#/g,"%23")+"_all_hits.html";	
			window.location.href="http://s.downcc.com/pc/?k="+encodeURIComponent(keyFont)+"";
		}else{
			var keyFont = $(".header-input").val();
			window.location.href="http://s.downcc.com/search/a/"+keyFont.replace(/\+/g,"＋").replace(/\#/g,"%23")+".html";	
		}				
	}else{
		window.location.href="http://s.downcc.com";	
	}		
}


(function() {
	var moren = "软件";
	$(".header-input").keyup(function(){
		 if(event.keyCode == 13){
			keywordCont();
		 }
	})
	$(".header-searchbtn").click(function(){
		keywordCont()	
	});

})();